Bug 186082 - pirut usability feedback
pirut usability feedback
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 10:25 EST by Karsten Weiss
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-13 14:27:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Weiss 2006-03-21 10:25:51 EST
Description of problem: 
* How about changing the mouse cursor to a hour glass during 
  the searching to give the user a better visual indication 
  that searching is still in progress? 
* The searching is slow. 
* Shouldn't the window title and the About box at least also 
  mention the name "Pirut"? Both are currently set to "Package Manager". 
* When I start pirut from gnome-terminal in starts in the background 
  without focus (the same happens with pup). 
Version-Release number of selected component (if applicable): 
How reproducible: 
Use pirut. 
Steps to Reproduce: 
Actual results: 
Expected results: 
Additional info:
Comment 1 Karsten Weiss 2006-03-22 08:49:56 EST
* Visual indication that the package search did not turn up any 
* Do not exit the application after installing packages. Maybe the 
  user wants to install some more packages? 
* Dependency resolving is very slow. And during the process the 
  application event loop sometimes doesn't seem to process any 
  window refresh events for a couple of seconds. -> Application 
  looks very unresponsive. 
Comment 2 Rahul Sundaram 2006-03-24 12:40:19 EST
> * When I start pirut from gnome-terminal in starts in the background 
>   without focus (the same happens with pup). 

Just FYI, this atleast is a metacity "feature" and nothing to do with Pirut.
There is another bug open in our bugzilla to turn this off. 
Comment 3 Lauri Nurmi 2006-04-01 10:11:28 EST
One more thing to the list of annoyances:

* When one clicks the Search button, the text field should become active
automatically. Now it doesn't, and one has to click on it before being able to
start typing.
Comment 4 Rahul Sundaram 2006-04-01 10:30:51 EST
Please dont mix multiple issues in a single report. Every independent issue
requires a seperate report. You can post to fedora-devel list for discussions. 
Comment 5 Jeremy Katz 2006-09-13 14:27:56 EDT
The issues here that aren't addressed by other bugs that can be handled are
fixed in CVS.  If you have further things in pirut-1.1.13 or later, please file
them as independent reports.

Note You need to log in before you can comment on or make changes to this bug.